## cloudkitty 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
alembic>=0.8.0 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
python-ceilometerclient>=2.2.1 # Apache-2.0
gnocchiclient>=2.5.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
iso8601>=0.1.9 # MIT
PasteDeploy>=1.5.0 # MIT
pecan>=1.0.0 # BSD
WSME>=0.8 # MIT
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0

## cloudkitty 6.0.0

=== debian/changelog ===
cloudkitty (6.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #888435)

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jan 2018 15:39:54 +0100

=== debian/control ===
Source: cloudkitty
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 61~),
 po-debconf,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic,
 python-ceilometerclient,
 python-coverage,
 python-ddt,
 python-eventlet,
 python-gabbi,
 python-gnocchiclient (>= 2.5.0),
 python-hacking,
 python-iso8601,
 python-keystoneauth1,
 python-keystoneclient,
 python-keystonemiddleware,
 python-kombu,
 python-mock,
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.concurrency,
 python-oslo.config,
 python-oslo.context,
 python-oslo.db,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.messaging (>= 5.11.0),
 python-oslo.middleware,
 python-oslo.policy,
 python-oslo.utils,
 python-oslotest,
 python-pastedeploy,
 python-pecan,
 python-pep8,
 python-six,
 python-sphinxcontrib-pecanwsme,
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy,
 python-stevedore,
 python-testscenarios,
 python-tooz,
 python-wsme,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
Homepage: https://github.com/openstack/cloudkitty

Package: cloudkitty-api
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 debconf,
 python-openstackclient,
 python-pastescript,
 q-text-as-data,
 uwsgi-plugin-python,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Rating as a Service - API server
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty API server.

Package: cloudkitty-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-cloudkitty (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Rating as a Service - common files
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains common files for Cloudkitty.

Package: cloudkitty-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Rating as a Service - Documentation
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the documentation.

Package: cloudkitty-processor
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Rating as a Service - processor
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty processor daemon.

Package: python-cloudkitty
Architecture: all
Section: python
Depends:
 python-alembic,
 python-ceilometerclient,
 python-eventlet,
 python-gnocchiclient (>= 2.5.0),
 python-iso8601,
 python-keystoneauth1,
 python-keystoneclient,
 python-keystonemiddleware,
 python-oslo.concurrency,
 python-oslo.config,
 python-oslo.context,
 python-oslo.db,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.messaging (>= 5.11.0),
 python-oslo.middleware,
 python-oslo.policy,
 python-oslo.utils,
 python-pastedeploy,
 python-pbr,
 python-pecan,
 python-six,
 python-sqlalchemy,
 python-stevedore,
 python-tooz,
 python-wsme,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Rating as a Service - Python library
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Warning: tests don't work with gabbi >= 1.25, this has to be fixed"
#	@echo "===> Running tests"
#	set -e ; set -x ; for i in 2.7 ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'cloudkitty\.tests.*' | tee $$TEMP_REZ | subunit2pyunit || true; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#        done
endif

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	# Warning: building doc fails.
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html || true
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No man pages for now"
#	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman -O--buildsystem=python_distutils
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install -O--buildsystem=python_distutils --fail-missing
	# Generate all config files
	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf \
		--namespace cloudkitty.common.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token

	for i in api_paste.ini policy.json ; do \
		install -D -m 0664 etc/cloudkitty/$$i $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/$$i ; \
	done

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/cloudkitty-common.config debian/cloudkitty-common.postinst
	rm -f debian/cloudkitty-api.config debian/cloudkitty-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf build

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/cloudkitty/tags .*/(\d[\d\.]+)\.tar\.gz

## cloudkitty 7.0.0

=== debian/changelog ===
cloudkitty (7.0.0-3) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ debconf templates.
  * Generating policy.json using --format json.
  * Fixed cloudkitty-common's postrm/prerm to correctly purge db on purge.
  * Also call pkgos_write_admin_creds in postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 10:33:19 +0100

cloudkitty (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 14:48:21 +0000

cloudkitty (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed some patches, remove some applied upstream.
  * Some clean-ups in debian/rules.
  * Generating policy.yaml with oslopolicy-sample-generator.
  * Patch cloudkitty/utils.py before generating cloudkitty.conf so that it may
    find mettrics.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2018 15:07:30 +0000

cloudkitty (6.0.0-5) experimental; urgency=medium

  * Switch to Python 3.
  * Remove mathjax extension from sphinx doc.
  * Add cloudkitty-doc.doc-base.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 15:14:21 +0000

cloudkitty (6.0.0-4) unstable; urgency=medium

  * Also run cloudkitty-storage-init after creating the db.
  * Add upstream patch for allowing gabbi >= 1.26.1.
  * Add patch to make cloudkitty build reproducibly (Closes: #889171).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 16:24:17 +0000

cloudkitty (6.0.0-3) unstable; urgency=medium

  * Added logrotate file.
  * Add patch to allow SQLA >= 1.1 (Closes: #889602).
  * Add missing templates.pot.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 16:58:29 +0100

cloudkitty (6.0.0-2) unstable; urgency=medium

  * Fixed cloudkitty-api.init.
  * Fixed default values in general, and in particular, set everything to use
    [keystone_authtoken] by default as auth_section.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 08:37:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,50 +7,51 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 61~),
+ openstack-pkg-tools (>= 70~),
  po-debconf,
- python-all,
- python-pbr,
- python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-alembic,
- python-ceilometerclient,
- python-coverage,
- python-ddt,
- python-eventlet,
- python-gabbi,
- python-gnocchiclient (>= 2.5.0),
- python-hacking,
- python-iso8601,
- python-keystoneauth1,
- python-keystoneclient,
- python-keystonemiddleware,
- python-kombu,
- python-mock,
- python-openstackdocstheme (>= 1.11.0),
- python-oslo.concurrency,
- python-oslo.config,
- python-oslo.context,
- python-oslo.db,
- python-oslo.i18n,
- python-oslo.log,
- python-oslo.messaging (>= 5.11.0),
- python-oslo.middleware,
- python-oslo.policy,
- python-oslo.utils,
- python-oslotest,
- python-pastedeploy,
- python-pecan,
- python-pep8,
- python-six,
- python-sphinxcontrib-pecanwsme,
- python-sphinxcontrib.httpdomain,
- python-sqlalchemy,
- python-stevedore,
- python-testscenarios,
- python-tooz,
- python-wsme,
+ python3-alembic,
+ python3-ceilometerclient,
+ python3-coverage,
+ python3-ddt,
+ python3-eventlet,
+ python3-gabbi (>= 1.26.1),
+ python3-gnocchiclient (>= 2.5.0),
+ python3-hacking,
+ python3-iso8601,
+ python3-keystoneauth1,
+ python3-keystoneclient,
+ python3-keystonemiddleware,
+ python3-kombu,
+ python3-mock,
+ python3-monascaclient (>= 1.7.0),
+ python3-openstackdocstheme (>= 1.11.0),
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging (>= 5.24.1),
+ python3-oslo.middleware (>= 3.27.0),
+ python3-oslo.policy,
+ python3-oslo.utils,
+ python3-oslotest,
+ python3-pastedeploy,
+ python3-pecan,
+ python3-pep8,
+ python3-six,
+ python3-sphinxcontrib-pecanwsme,
+ python3-sphinxcontrib.httpdomain,
+ python3-sqlalchemy,
+ python3-stevedore,
+ python3-testscenarios,
+ python3-tooz,
+ python3-wsme,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -64,13 +65,13 @@
  adduser,
  cloudkitty-common (= ${source:Version}),
  debconf,
- python-openstackclient,
- python-pastescript,
+ python3-openstackclient,
+ python3-pastescript,
  q-text-as-data,
- uwsgi-plugin-python,
+ uwsgi-plugin-python3,
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
+ ${python3:Depends},
 Description: OpenStack Rating as a Service - API server
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
@@ -90,9 +91,9 @@
  adduser,
  dbconfig-common,
  debconf,
- python-cloudkitty (= ${source:Version}),
+ python3-cloudkitty (= ${source:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Description: OpenStack Rating as a Service - common files
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
@@ -132,7 +133,7 @@
  cloudkitty-common (= ${source:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
+ ${python3:Depends},
 Description: OpenStack Rating as a Service - processor
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
@@ -146,38 +147,41 @@
  .
  This package contains the Cloudkitty processor daemon.
 
-Package: python-cloudkitty
+Package: python3-cloudkitty
 Architecture: all
 Section: python
 Depends:
- python-alembic,
- python-ceilometerclient,
- python-eventlet,
- python-gnocchiclient (>= 2.5.0),
- python-iso8601,
- python-keystoneauth1,
- python-keystoneclient,
- python-keystonemiddleware,
- python-oslo.concurrency,
- python-oslo.config,
- python-oslo.context,
- python-oslo.db,
- python-oslo.i18n,
- python-oslo.log,
- python-oslo.messaging (>= 5.11.0),
- python-oslo.middleware,
- python-oslo.policy,
- python-oslo.utils,
- python-pastedeploy,
- python-pbr,
- python-pecan,
- python-six,
- python-sqlalchemy,
- python-stevedore,
- python-tooz,
- python-wsme,
+ python3-alembic,
+ python3-ceilometerclient,
+ python3-eventlet,
+ python3-gnocchiclient (>= 2.5.0),
+ python3-iso8601,
+ python3-keystoneauth1,
+ python3-keystoneclient,
+ python3-keystonemiddleware (>= 3.27.0),
+ python3-monascaclient (>= 1.7.0),
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging (>= 5.24.1),
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.utils,
+ python3-pastedeploy,
+ python3-pbr,
+ python3-pecan,
+ python3-six,
+ python3-sqlalchemy,
+ python3-stevedore,
+ python3-tooz,
+ python3-wsme,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
+Conflicts:
+ python-cloudkitty,
 Description: OpenStack Rating as a Service - Python library
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/cloudkitty-common.config debian/cloudkitty-common.postinst
	rm -f debian/cloudkitty-api.config debian/cloudkitty-api.postinst debian/cloudkitty-common.postrm
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cloudkitty-common.postrm
	pkgos-merge-templates cloudkitty-api cloudkitty endpoint
	pkgos-merge-templates cloudkitty-common cloudkitty db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Patch to find metrics.yml from curdir instead of /etc
	# This is needed for both tests and generating cloudkitty.conf
	patch -p1 <$(CURDIR)/debian/cloudkitty.utils.py.patch
	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests.*'
endif

	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf \
		--namespace cloudkitty.common.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_authtoken cloudkitty

	# Unpatch for production
	patch -p1 -R <$(CURDIR)/debian/cloudkitty.utils.py.patch
	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty

	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf ceilometer_collector auth_section keystone_authtoken
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf gnocchi_collector auth_section keystone_authtoken
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_fetcher auth_section keystone_authtoken

	# Set the lock_path
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf oslo_concurrency lock_path /var/lock/cloudkitty

	# Fixed default backend
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf tenant_fetcher backend keystone

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/policy.json \
		--format json \
		--namespace cloudkitty

	for i in api_paste.ini metrics.yml ; do \
		install -D -m 0664 etc/cloudkitty/$$i $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/$$i ; \
	done


	dh_install
	dh_missing --fail-missing
	# Generate all config files

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	# Warning: building doc fails.
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html || true
	rm -rf $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/.doctrees
	touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No man pages for now"
#	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cloudkitty 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 alembic>=0.8.0 # MIT
 eventlet!=0.18.3,>=0.18.2 # MIT
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
-python-ceilometerclient>=2.2.1 # Apache-2.0
 gnocchiclient>=2.5.0 # Apache-2.0
 python-monascaclient>=1.7.0 # Apache-2.0
 python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
@@ -28,3 +27,4 @@
 six>=1.9.0 # MIT
 stevedore>=1.5.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
+voluptuous>=0.11.1,<1.0.0 # BSD-3

=== debian/changelog ===
cloudkitty (8.0.0-3) unstable; urgency=medium

  * Use standard OpenStack package uwsgi setup.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Dec 2018 09:35:45 +0100

cloudkitty (8.0.0-2) unstable; urgency=medium

  * Remove /etc/cloudkitty/metrics.yml on purge (Closes: #905507).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 13:55:01 +0200

cloudkitty (8.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * new upstream release.
  * Fixed (build-)depends for this release.
  * Rebase metrics.yml path patch.
  * Blacklist all tests matching:
    - .*test_prometheus.*
    - .*storage.v1.test_hybrid_storage.*

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 00:21:53 +0200

cloudkitty (7.0.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 08:48:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cloudkitty
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 70~),
+ openstack-pkg-tools (>= 74~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -15,7 +15,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python3-alembic,
- python3-ceilometerclient,
  python3-coverage,
  python3-ddt,
  python3-eventlet,
@@ -29,7 +28,7 @@
  python3-kombu,
  python3-mock,
  python3-monascaclient (>= 1.7.0),
- python3-openstackdocstheme (>= 1.11.0),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
@@ -48,12 +47,12 @@
  python3-sphinxcontrib-pecanwsme,
  python3-sphinxcontrib.httpdomain,
  python3-sqlalchemy,
+ python3-stestr,
  python3-stevedore,
  python3-testscenarios,
  python3-tooz,
  python3-wsme,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
@@ -152,7 +151,6 @@
 Section: python
 Depends:
  python3-alembic,
- python3-ceilometerclient,
  python3-eventlet,
  python3-gnocchiclient (>= 2.5.0),
  python3-iso8601,

=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,11 @@
 
 	# Patch to find metrics.yml from curdir instead of /etc
 	# This is needed for both tests and generating cloudkitty.conf
-	patch -p1 <$(CURDIR)/debian/cloudkitty.utils.py.patch
-	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty
+	patch -p1 <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
+	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests.*'
+	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
@@ -56,7 +56,7 @@
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_authtoken cloudkitty
 
 	# Unpatch for production
-	patch -p1 -R <$(CURDIR)/debian/cloudkitty.utils.py.patch
+	patch -p1 -R <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
 	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty
 
 	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config

## cloudkitty 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=2.0.0,!=2.1.0 # Apache-2.0
alembic>=0.8.0 # MIT
eventlet>=0.18.2,!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0 # MIT
keystonemiddleware>=4.0.0 # Apache-2.0
gnocchiclient>=2.5.0 # Apache-2.0
python-monascaclient>=1.9.0 # Apache-2.0
python-keystoneclient>=1.9.0,!=2.1.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
iso8601>=0.1.9 # MIT
PasteDeploy>=1.5.0 # MIT
pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4,!=1.2 # BSD
WSME>=0.8 # MIT
oslo.config>=3.7.0,!=4.3.0,!=4.4.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.24.2,!=9.0.0 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
SQLAlchemy>=1.0.10,!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8 # MIT
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.11.1 # BSD License
influxdb>=5.1.0,!=5.2.0 # MIT
Flask>=1.0.2 # BSD
Flask-RESTful>=0.3.5 # BSD

=== debian/changelog ===
cloudkitty (9.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 15:28:08 +0200

cloudkitty (9.0.0-3) experimental; urgency=medium

  * Add upstream patch: Fix_sqlalchemy_grouping_on_v1_storage.patch. This
    fixes FTBFS with newer SQLAlchemy.

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Jun 2019 14:13:01 +0200

cloudkitty (9.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 17:48:11 +0200

cloudkitty (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:04:27 +0200

cloudkitty (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Removed python3- prefix when calling config generator.
  * Rebase patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 20:50:49 +0100

cloudkitty (8.0.0-4) unstable; urgency=medium

  * Correct default path to metrics.yml in [collect]/metrics_conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 14:45:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,45 +4,54 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-alembic,
  python3-coverage,
  python3-ddt,
+ python3-doc8,
  python3-eventlet,
- python3-gabbi (>= 1.26.1),
- python3-gnocchiclient (>= 2.5.0),
+ python3-flask,
+ python3-flask-restful,
+ python3-gabbi,
+ python3-gnocchiclient,
  python3-hacking,
+ python3-influxdb,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-kombu,
  python3-mock,
- python3-monascaclient (>= 1.7.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-monascaclient,
+ python3-openstackdocstheme,
+ python3-os-api-ref,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 5.24.1),
- python3-oslo.middleware (>= 3.27.0),
+ python3-oslo.messaging,
+ python3-oslo.middleware,
  python3-oslo.policy,
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest,
  python3-pastedeploy,
  python3-pecan,
  python3-pep8,
+ python3-pygments,
+ python3-reno,
  python3-six,
  python3-sphinxcontrib-pecanwsme,
  python3-sphinxcontrib.httpdomain,
@@ -53,7 +62,7 @@
  python3-tooz,
  python3-wsme,
  subunit,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Homepage: https://github.com/openstack/cloudkitty
@@ -152,21 +161,25 @@
 Depends:
  python3-alembic,
  python3-eventlet,
- python3-gnocchiclient (>= 2.5.0),
+ python3-flask,
+ python3-flask-restful,
+ python3-gnocchiclient,
+ python3-influxdb,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
- python3-keystonemiddleware (>= 3.27.0),
- python3-monascaclient (>= 1.7.0),
+ python3-keystonemiddleware,
+ python3-monascaclient,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 5.24.1),
+ python3-oslo.messaging,
  python3-oslo.middleware,
  python3-oslo.policy,
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-pastedeploy,
  python3-pbr,

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf \
 		--namespace cloudkitty.common.config \
 		--namespace oslo.concurrency \
@@ -64,13 +64,16 @@
 	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf gnocchi_collector auth_section keystone_authtoken
 	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_fetcher auth_section keystone_authtoken
 
+	# Set correct value for metrics.yml after we've patched it:
+	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf collect metrics_conf /etc/cloudkitty/metrics.yml
+
 	# Set the lock_path
 	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf oslo_concurrency lock_path /var/lock/cloudkitty
 
 	# Fixed default backend
 	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf tenant_fetcher backend keystone
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/policy.json \
 		--format json \
 		--namespace cloudkitty

## cloudkitty 11.0.0

=== debian/changelog ===
cloudkitty (11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:20:09 +0200

cloudkitty (11.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_sqlalchemy_grouping_on_v1_storage.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 14:44:15 +0200

## cloudkitty 11.0.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr>=2.0.0,!=2.1.0 # Apache-2.0
 alembic>=0.8.0 # MIT
-eventlet>=0.18.2,!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0 # MIT
 keystonemiddleware>=4.0.0 # Apache-2.0
 gnocchiclient>=2.5.0 # Apache-2.0
 python-monascaclient>=1.9.0 # Apache-2.0
@@ -29,6 +28,9 @@
 stevedore>=1.5.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
 voluptuous>=0.11.1 # BSD License
-influxdb>=5.1.0,!=5.2.0 # MIT
+influxdb>=5.1.0,!=5.2.0,!=5.2.1,!=5.2.2;python_version<'3.0'  # MIT
+influxdb>=5.1.0;python_version>='3.0'  # MIT
 Flask>=1.0.2 # BSD
 Flask-RESTful>=0.3.5 # BSD
+cotyledon>=1.5.0 # Apache-2.0
+futurist>=1.6.0 # Apache-2.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cloudkitty.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cloudkitty.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cloudkitty"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cloudkitty"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cloudkitty (11.0.1-2) unstable; urgency=medium

  * Blacklist failing tests:
    HackingTestCase.test_logging_with_tuple_argument* (Closes: #952238).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 16:17:55 +0100

cloudkitty (11.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Nov 2019 13:14:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
  po-debconf,
@@ -16,12 +16,13 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-alembic,
+ python3-cotyledon,
  python3-coverage,
  python3-ddt,
  python3-doc8,
- python3-eventlet,
  python3-flask,
  python3-flask-restful,
+ python3-futurist,
  python3-gabbi,
  python3-gnocchiclient,
  python3-hacking,
@@ -62,8 +63,8 @@
  python3-tooz,
  python3-wsme,
  subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty
 Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Homepage: https://github.com/openstack/cloudkitty
 
@@ -160,9 +161,10 @@
 Section: python
 Depends:
  python3-alembic,
- python3-eventlet,
+ python3-cotyledon,
  python3-flask,
  python3-flask-restful,
+ python3-futurist,
  python3-gnocchiclient,
  python3-influxdb,
  python3-iso8601,

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*))'
+	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common

## cloudkitty 12.0.0

=== debian/changelog ===
cloudkitty (12.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:37:33 +0200

cloudkitty (12.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: Correctly copy init.py, not cloudkitty/utils.py.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 23:13:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 	# Unpatch for production
 	patch -p1 -R <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
-	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty
+	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config
 	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf ceilometer_collector auth_section keystone_authtoken
